cURL
curl --request GET \ --url https://calendar.universal.rollout.com/api/calendarEvents \ --header 'Authorization: Bearer <token>' \ --header 'X-Rollout-Credential-Id: <api-key>'
{ "_metadata": { "collection": "<string>", "offset": 123, "limit": 123, "total": 123, "next": "<string>", "nextLink": "<string>" }, "calendarEvents": [ { "id": "<string>", "calendarId": "<string>", "title": "<string>", "description": "<string>", "location": "<string>", "start": "<string>", "end": "<string>", "isAllDay": true, "timezone": "<string>", "organizer": { "name": "<string>", "email": "<string>", "status": "<string>", "comment": "<string>" }, "attendees": [ { "name": "<string>", "email": "<string>", "status": "<string>", "comment": "<string>" } ], "status": "<string>", "visibility": "<string>", "recurrence": { "rrule": "<string>", "exdates": [ "<string>" ] }, "conference": { "provider": "<string>", "url": "<string>", "dialIn": "<string>" }, "busy": true, "capacity": 123, "hideParticipants": true, "created": "<string>", "updated": "<string>", "rolloutUpdated": "<string>" } ] }
Documentation IndexFetch the complete documentation index at: https://rollout.com/docs/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://rollout.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorization JWT
The Rollout Credential ID to use for queries/mutations
OK
Show child attributes